#
# spec file for package nodejs-mute-stream
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define base_name mute-stream

Name:           nodejs-mute-stream
Version:        0.0.5
Release:        12.1
Summary:        Mute a stream in Node.js
License:        ISC
Group:          Development/Languages/Other
Url:            https://github.com/isaacs/mute-stream
Source:         http://registry.npmjs.org/%{base_name}/-/%{base_name}-%{version}.tgz
BuildRequires:  nodejs-packaging
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%nodejs_find_provides_and_requires

%description
This module provides a basic pass-through stream, but when muted, the bytes are silently dropped, rather than being passed through.

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_modulesdir}/%{base_name}
cp -pr package.json mute.js \
        %{buildroot}%{nodejs_modulesdir}/%{base_name}/

%files
%defattr(-,root,root,-)
%doc README.md LICENSE
%{nodejs_modulesdir}/%{base_name}

%changelog
* Sat Jun  6 2015 i@marguerite.su
- update version 0.0.5
* Sat Apr  4 2015 dmueller@suse.com
- enable building for all arches
* Thu Oct  9 2014 jgleissner@suse.com
- use nodejs-packaging for building
* Sun Sep 21 2014 i@marguerite.su
- format specfile
* Tue Aug 19 2014 jgleissner@suse.com
- install mute.js
* Tue Aug 19 2014 jgleissner@suse.com
- Initial build
